Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QProgressBar.Direction

    java.lang.Object
      java.lang.Enum<QProgressBar.Direction>
          com.trolltech.qt.gui.QProgressBar.Direction

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QProgressBar.Direction>

Enclosing class:
  QProgressBar

    public static enum QProgressBar.Direction

extends java.lang.Enum<QProgressBar.Direction>
implements QtEnumerator

Specifies the reading direction of the text for vertical progress bars.

Note that whether or not the text is drawn is dependent on the style. Currently CDE, CleanLooks, Motif, and Plastique draw the text. Mac, Windows and WindowsXP style do not.

See Also:
  `textDirection`

Enum Constant Summary
`BottomToTop` The text is rotated 90 degrees counter-clockwise.
`TopToBottom` The text is rotated 90 degrees clockwise.

Method Summary
`static QProgressBar.Direction` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QProgressBar.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QProgressBar.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TopToBottom

    public static final QProgressBar.Direction TopToBottom

  The text is rotated 90 degrees clockwise.

### BottomToTop

    public static final QProgressBar.Direction BottomToTop

  The text is rotated 90 degrees counter-clockwise.

Method Detail

### values

    public static final QProgressBar.Direction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QProgressBar.Direction c : QProgressBar.Direction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QProgressBar.Direction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QProgressBar.Direction resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD